html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
  font-family: "Quicksand", sans-serif;
  color: #262626;
}
* {
  box-sizing: border-box;
}

.container {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 10px 10px 100px 10px;
  h1 {
    text-align: center;
    margin-bottom: 30px;
    font-weight: 500;
  }
  h2 {
    font-weight: 500;
  }
}

.button-container {
  display: flex;
  align-items: center;
  margin-top: 10px;
  flex-wrap: wrap;
}

.btn {
  display: flex;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 14px;
  margin: 5px;
  cursor: pointer;
  outline: none;
  transition: all 0.3s ease-in-out;
  box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.15),
    0 10px 10px -5px rgba(0, 0, 0, 0.1);
  &:hover {
    box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.15),
      0 10px 10px -5px rgba(0, 0, 0, 0.1);
  }
  &.red {
    background-color: rgb(231, 97, 97);
    color: #fff;
    &:hover {
      background-color: rgb(224, 131, 131);
    }
  }
  &.blue {
    background-color: rgb(56, 129, 224);
    color: #fff;
    &:hover {
      background-color: rgb(108, 163, 236);
    }
  }
  &.green {
    background-color: rgb(228, 195, 86);
    color: #fff;
    &:hover {
      background-color: rgb(56, 224, 196);
    }
  }
  &.orange {
    background-color: rgb(252, 188, 105);
    color: #fff;
    &:hover {
      background-color: rgb(255, 207, 144);
    }
  }
  &.dark {
    background-color: #262626;
    color: #fff;
    &:hover {
      background-color: #363636;
    }
  }
  &.light_blue {
    background-color: #0099cc;
    color: #fff;
    &:hover {
      background-color: #24c8ff;
    }
  }
}

.rpa__toast__container {
  position: fixed;
  z-index: 9999;
  top: 20px;
  right: 20px;

  .toast {
    position: relative;
    width: 100%;
    max-width: 300px;
    min-width: 280px;
    background-color: #fff;
    border-radius: 5px;
    padding: 15px;
    margin-bottom: 20px;
    box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.15),
      0 10px 10px -5px rgba(0, 0, 0, 0.1);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
    &:hover {
      box-shadow: 0 15px 20px -5px rgba(0, 0, 0, 0.15),
        0 15px 15px -5px rgba(0, 0, 0, 0.1);
    }
    .rpa__toast__title {
      display: flex;
      align-items: center;
      width: 100%;
      margin: 0;
      color: #262626;
      font-weight: 600;
      font-size: 1.1rem;
      span {
        font-size: 1.2rem;
        padding: 0 10px 0 0;
      }
    }

    .rpa__toast__text {
      color: #262626;
      margin: 5px 0 0 0;
    }

    .rpa__toast__close {
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      height: 25px;
      width: 25px;
      right: -10px;
      top: -10px;
      padding: 0;
      margin: 0;
      background-color: #464646;
      border-radius: 50%;
      transform: rotate(45deg);
      cursor: pointer;
      box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 0.15),
        0 10px 10px -5px rgba(0, 0, 0, 0.1);
      &:after,
      &:before {
        content: "";
        display: block;
        position: absolute;
        background-color: #eee;
        border-radius: 3px;
      }
      &:after {
        width: 2px;
        height: 16px;
      }
      &:before {
        width: 16px;
        height: 2px;
      }
    }

    &.active {
      opacity: 1;
      visibility: visible;
    }

    &.system {
      background-color: rgb(119, 161, 252);
      .rpa__toast__text {
        color: #eee;
      }
      .rpa__toast__title {
        color: #eee;
      }
    }
    &.success {
      background-color: rgb(78, 247, 196);
    }
    &.warning {
      background-color: rgb(252, 188, 105);
      .rpa__toast__text {
        color: #eee;
      }
      .rpa__toast__title {
        color: #eee;
      }
    }
    &.bug {
      background-color: rgb(252, 105, 105);
      .rpa__toast__text {
        color: #eee;
      }
      .rpa__toast__title {
        color: #eee;
      }
    }
    &.info {
      background-color: #33b5e5;
      .rpa__toast__text {
        color: #eee;
      }
      .rpa__toast__title {
        color: #eee;
      }
    }
  }
}
